namespace Vrh.iScheduler.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class UpdateDB_01 : DbMigration
    {
        public override void Up()
        {
            AddColumn("iScheduler.ScheduleSeries", "SeriesName", c => c.String(nullable: false, maxLength: 100));
            AlterColumn("iScheduler.ScheduleSeries", "SeriesType", c => c.String(nullable: false, maxLength: 20));
            CreateIndex("iScheduler.Schedules", "State");
        }
        
        public override void Down()
        {
            DropIndex("iScheduler.Schedules", new[] { "State" });
            AlterColumn("iScheduler.ScheduleSeries", "SeriesType", c => c.String(nullable: false, maxLength: 100));
            DropColumn("iScheduler.ScheduleSeries", "SeriesName");
        }
    }
}
